﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HeresAList
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void btnVeggies_Click(object sender, EventArgs e)
        {
            // my convention: if we're not using new(), set it equal to null, 
            //      just as an extra indicator to people reading the code, 
            //      "hey dude, you better assign something to this..."
            List<string> tSelectedVeggies = null;
            
            // my convention: keep the using block as short as possible
            //      note that I only make it long enough so that I can get
            //      the veggies the user selected
            using(frmVeggies tChooseVeggiesForm = new frmVeggies())
            {
                DialogResult tDialogResult = tChooseVeggiesForm.ShowDialog();

                if(tDialogResult != DialogResult.OK)
                {
                    return;
                }

                tSelectedVeggies = tChooseVeggiesForm.SelectedVeggies;
            }

                
            // now let's display the data in that list

            //following code FOR DISPLAY PURPOSES ONLY

            string tMessageString = "";

            foreach(string tSelectedString in tSelectedVeggies)
            {
                tMessageString = tMessageString + tSelectedString + "\n";
            }

            MessageBox.Show("You selected:\n\n" 
                
                            + tMessageString);

             
        }
    }
}
