﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace HeresAList
{
    public partial class frmVeggies : Form
    {
        public frmVeggies()
        {
            InitializeComponent();
        }

        // the way I'd do it, to be honest
        public List<string> SelectedVeggies;

        // the "cool kid's" way
        public List<string> SelectedVeggiesProperty
        {
            get
            {
                return SelectedVeggies;
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            List<string> tCheckedItemStrings = new List<string>();
            foreach(ListViewItem tItem in listView1.CheckedItems)
            {
                tCheckedItemStrings.Add(tItem.Text);
            }

            this.SelectedVeggies = tCheckedItemStrings;
            this.DialogResult = DialogResult.OK;
            // note: Windows automatically closes the form when you set a DialogResult.
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            // note: Windows automatically closes the form when you set a DialogResult.
        }
    }
}
